Subject: Re: bug#51674: 29.0.50; [PATCH] Fix hang when displaying xwidget script dialog

From: Po Lu <[email-masked]>
Date: Mon, 08 Nov 2021 13:38:53 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> This reminds me of a totally different thing that I was poking at
> briefly some years back -- is it possible to use xwidgets "freely" in a
> different buffer these days?  Last time I looked at it, it was very much
> tied to a specific mode, and only one widget per buffer.

You can show multiple widgets in one buffer today, which wasn't the
situation a couple of years back.

> My use case here is that I'd love to see eww being able to display video
> clips.  xwidget can show <video> elements just fine, but it'd be great
> to have them directly in the eww buffer (and perhaps several playing at
> the same time, etc).

It should work, but take care that the _same_ xwidget is never displayed
on-screen in more than one place at any given time.  If it is, then one
of the xwidget views will not display.

This is a known problem that I'm trying to resolve, it will probably be
a temporary limitation.  Thanks.